import React from 'react'
import './style.scss'
import Markdown from 'react-markdown'

export default class CarmelComponent extends React.Component {
  get backgroundImage() {
    return this.props.image
  }

  get action() {
    return this.props.action || "/"
  }

  get article() {
    return '# This is a header\n\nAnd this is a paragraph'
  }

  render () {
    return (
      <div styleName="container" style={{"background": `url(${this.backgroundImage}) no-repeat center center`}}>
        <div styleName="content">
          <h1> {this.props.text.title} </h1>
          <p> {this.props.text.summary} </p>
          <ReactMarkdown source={this.article} />
        </div>
      </div>)
  }
}
